"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateRequestHeaders = exports.areObjectsEqual = void 0;
var areObjectsEqual = function (obj1, obj2) {
    var stringObj1 = JSON.stringify(obj1);
    var stringObj2 = JSON.stringify(obj2);
    return stringObj1 === stringObj2;
};
exports.areObjectsEqual = areObjectsEqual;
var generateRequestHeaders = function (headers) {
    return new Headers(__assign({ 'content-Type': 'application/json' }, (headers || {})));
};
exports.generateRequestHeaders = generateRequestHeaders;
//# sourceMappingURL=utils.js.map